Skip to content

Your data / PVP tracker / Formation presets

POST
https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets

Saves one of your teams. matchType is attack, defense or both.

Parameters

  • seasonId (path): The season id.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
seasonId

Headers

NameValue
Content-Typeapplication/json

Bodyapplication/json

{
  "name": "Shun SHanako DEF",
  "matchType": "defense",
  "team": [
    {
      "studentId": "yuuka"
    },
    {
      "studentId": "hanako_swimsuit"
    },
    {
      "studentId": "shun"
    },
    {
      "studentId": "tsubaki"
    },
    {
      "studentId": "michiru_dress"
    },
    {
      "studentId": "hibiki"
    }
  ],
  "usedByMe": true
}
curl -X POST https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {{api_key}}' \
  --data-raw '{
  "name": "Shun SHanako DEF",
  "matchType": "defense",
  "team": [
    {
      "studentId": "yuuka"
    },
    {
      "studentId": "hanako_swimsuit"
    },
    {
      "studentId": "shun"
    },
    {
      "studentId": "tsubaki"
    },
    {
      "studentId": "michiru_dress"
    },
    {
      "studentId": "hibiki"
    }
  ],
  "usedByMe": true
}'
Response
{
  "data": {
    "id": "mh7d76991k97a1ah49qegezqsh8e1nga",
    "createdAt": "2026-09-08T18:36:12.624Z",
    "name": "Shun SHanako DEF",
    "matchType": "defense",
    "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx",
    "team": [
      {
        "studentId": "yuuka"
      },
      {
        "studentId": "hanako_swimsuit"
      },
      {
        "studentId": "shun"
      },
      {
        "studentId": "tsubaki"
      },
      {
        "studentId": "michiru_dress"
      },
      {
        "studentId": "hibiki"
      }
    ],
    "teamKey": "c5cf00744a2aa7a4",
    "usedByMe": true
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc